#!/bin/sh
# IBM WebSphere Application Server Patterns
#
# Copyright IBM Corp. 2014
# All rights reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted
# by GSA ADP Schedule Contract with IBM Corp.
#
# Licensed Materials-Property of IBM
#
. /etc/virtualimage.properties
params="$@"

script_dir=`pwd`

# Execute the script as WAS Administrative Userid. 
HVE_USERNAME=`ls -l $WAS_PROFILE_ROOT/bin/stopServer.sh | awk '{ print $3 }'`

# check if this script was already executed by checking storage. we make this check to avoid re-executing this script 
# during clone of the ODR node after APC requests a new ODR node. getValue returns 101 if the key is present 
# in the storage, 100 if it is not present
su $HVE_USERNAME -c "$WAS_PROFILE_ROOT/bin/wsadmin.sh -lang jython -f ${script_dir}/veStorage.py getValue -key:CreateDC"
rc=$?

if [ $rc -eq 100 ]; then
  su $HVE_USERNAME -c "$WAS_PROFILE_ROOT/bin/wsadmin.sh -lang jython -f $WAS_INSTALL_ROOT/bin/CreateDynamicCluster.py -createNodeGroup:DefaultCustomNodeGroup $params"
  rc=$?
  if [ $rc -eq 0 ]; then
    # add entry to the storage for this script to indicate this script is executed once
    su $HVE_USERNAME -c "$WAS_PROFILE_ROOT/bin/wsadmin.sh -lang jython -f ${script_dir}/veStorage.py setValue -key:CreateDC -value:1"
  fi
  exit $rc
else
  echo "Skipping execution as the script was run already (probably during the initial deploy)"
fi
